Skip to content

Get loan labels

Request

Security
oauth2(Required scopes: loan.label:list) or bearerAuth or apiKeyHeader
Path
companyIdstringrequired

The unique company identifier.

Query
createdBeforestring, (date-time)

Returns loan labels created before a specific timestamp. If used in conjunction with createdAfter, a time range can be created to return labels created between two timestamps.

createdAfterstring, (date-time)

Returns loan labels created before a specific timestamp. If used in conjunction with createdBefore, a time range can be created to return labels created between two timestamps.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-only

Filter by Loan's unique identifier. Can be Peach or lender's external identifier.

limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

GET
/companies/{companyId}/loan-labels
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/companies/{companyId}/loan-labels?createdBefore=2019-08-24T14%3A15%3A22Z&createdAfter=2019-08-24T14%3A15%3A22Z&loanId=string&limit=25&startingAfter=string&endingBefore=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Number of items returned by the current request.

nextUrlstring or nullread-only

URL of the next set of results.

previousUrlstring or nullread-only

URL of the previous set of results.

statusinteger

HTTP status code.

totalintegerread-only

Total number of items in this result.

dataArray of objects(LoanLabel)
Response
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }